//
//  GIAFlipsideViewController.m
//  GihyoiOSAzure1
//
//  Created by 高橋 俊光 on 12/02/09.
//  Copyright (c) 2012 Tilfin Ltd. All rights reserved.
//

#import "GIAFlipsideViewController.h"

@implementation GIAFlipsideViewController

@synthesize delegate = _delegate;
@synthesize rankImage = _rankImage;
@synthesize rankLabel = _rankLabel;
@synthesize descLabel = _descLabel;

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    NSError *error = nil;
    NSDictionary *json = nil;
    NSData *data = [NSData dataWithContentsOfURL:[NSURL URLWithString:@"http://＜ユニークID＞.cloudapp.net/Service/DivineService.svc/card/leo"]
                                         options:NSDataReadingMappedIfSafe
                                           error:&error];
    if (!error) {
        json = [NSJSONSerialization JSONObjectWithData:data
                                               options:NSJSONReadingAllowFragments
                                                 error:&error];
    }
    
    if (error) {
        NSLog(@"Error: %@", error);
        
        UIAlertView *alertView = [[UIAlertView alloc] initWithTitle:@"Error"
                                                            message:[error localizedDescription]
                                                           delegate:nil
                                                  cancelButtonTitle:nil
                                                  otherButtonTitles:@"OK", nil];
        [alertView show];
        [alertView release];
        return;
    }
    
    int rank = [[json objectForKey:@"rank"] intValue];
    NSString *imageUrlStr = [NSString stringWithFormat:@"http://＜ストレージアカウント＞.blob.core.windows.net/rank/%d.jpg", rank];    
    NSData *rankImageData = [NSData dataWithContentsOfURL:[NSURL URLWithString:imageUrlStr]];
    _rankImage.image = [UIImage imageWithData:rankImageData];
    _rankLabel.text = [NSString stringWithFormat:@"%d", rank];
    _descLabel.text = [json objectForKey:@"desc"];
}

- (void)viewDidUnload
{
    [self setRankImage:nil];
    [self setRankLabel:nil];
    [self setDescLabel:nil];
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
	[super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
	[super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

#pragma mark - Actions

- (IBAction)done:(id)sender
{
    [self.delegate flipsideViewControllerDidFinish:self];
}

- (void)dealloc {
    [_rankImage release];
    [_rankLabel release];
    [_descLabel release];
    [super dealloc];
}
@end
